:root {
  /*Background*/
  --bg-main: rgba(248, 202, 228, 0.5);
  --bg-secondary: #cfdd9d;
  --bg-header: #832d51;
  --bg-accent: #447a5f;
  --bg-header-nav: rgb(248, 202, 228);

  /*Text*/
  --text-main: #3a0a1e;
  --text-heading: rgb(131, 45, 81);
  --text-light: #cfdd9d;

  /*Links & buttons*/
  --link-accent: #447a5f;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  font-size: 16px;
}
body {
  background-color: var(--bg-main);
  display: flex;
  flex-direction: column;
  padding-top: 1.25rem;
}
.body-about {
  background-color: rgba(131, 45, 81, 0.5);
}

/* Header */
header {
  background-color: var(--bg-header);
  width: 100%;
}

/* Header-wrapper */
.header {
  max-width: 75rem;
  margin: 0 auto;
  padding: 0 1.25rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 3rem;
}

@media (max-width: 480px) {
  .header {
    gap: 0.5rem;
  }
}

.header__logo {
  color: var(--text-light);
  font-family: "Source Sans 3", sans-serif;
  font-size: 1.86rem;
  font-weight: 600;
  text-transform: uppercase;
  margin-top: 0;
  margin-bottom: 0;
  margin-right: 100px;
  padding: 0.3rem 1.25rem 0.3rem 0.9rem;
  flex-shrink: 0;
}

.header__nav {
  flex-grow: 1;
}

.header__nav ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.header__nav ul li a {
  color: var(--bg-header-nav);
  font-size: 1.25re;
  font-family: "Merriweather", serif;
  font-weight: 700;
  text-transform: uppercase;
  padding: 0.5rem 1rem;
  white-space: nowrap;
  transition: color 0.3s ease;
  display: block;
}

.header__nav ul li a:hover {
  color: var(--text-light);
}

/* Main */
main {
  flex-grow: 1;
}

/* Hero section*/
.hero__wrapper {
  max-width: 75rem;
  margin: 0 auto;
  padding: 0 1.25rem;
  min-height: 80vh;
  margin-top: 6.25rem;
  display: grid;
  grid-template-rows: repeat(4, 12.5rem);
  grid-template-columns: repeat(8, 1fr);
}

.hero__image {
  max-width: 100%;
  max-height: 100%;
  min-width: 240px;
  min-height: 300px;
  overflow: hidden;
  grid-row: 2/4;
  grid-column: 3/5;
}
.hero__image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  animation-name: hero-image;
  animation-duration: 2s;
}
@keyframes hero-image {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.hero__hello {
  font-family: "Cormorant Garamond", serif;
  font-size: 9.4rem;
  font-weight: 800;
  letter-spacing: 0.6rem;
  color: var(--text-heading);
  margin: 0;
  text-transform: uppercase;
}
#hero__hello-hello {
  grid-row: 1/2;
  grid-column: 1/5;
  align-self: end;
  justify-self: end;
  animation-name: hello;
  animation-duration: 2s;
}
@keyframes hello {
  from {
    opacity: 0;
    transform: translateX(-10px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
#hero__hello-Im {
  grid-row: 2/3;
  grid-column: 1/3;
  justify-self: end;
  animation-name: hello;
  animation-duration: 2s;
}
#hero__hello-helen {
  grid-row: 2/3;
  grid-column: 5/7;
  z-index: 1;
  margin-left: -3.75rem;
  animation-name: helen;
  animation-duration: 2s;
}
@keyframes helen {
  from {
    opacity: 0;
    transform: translateX(0.63rem);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.hero__text {
  grid-row: 3/4;
  grid-column: 5/8;
  padding: 0 0 0 1.9rem;
}

.hero__text p {
  font-family: "Cormorant Garamond", serif;
  font-size: 1.1rem;
  text-align: justify;
  line-height: 1.6rem;
  margin: 0;
  font-weight: 600;
  color: var(--text-main);
  animation-name: hero-text;
  animation-duration: 2s;
}
@keyframes hero-text {
  from {
    opacity: 0;
    transform: translateX(0.63rem);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
.hero__subtext-1,
.hero__subtext-2 {
  color: var(--text-light);
  font-size: 1.9rem;
  font-family: "Source Sans 3", sans-serif;
  grid-row: 1/2;
  grid-column: 5/7;
  justify-self: center;
  align-self: end;
  margin-bottom: 1.7rem;
  display: inline-block;
  background-color: var(--bg-accent);
  padding: 0.6rem 1.25rem;
  border-radius: 1.6rem;
  animation-name: subtext;
  animation-duration: 2s;
}

.hero__subtext-1 {
  grid-row: 1/2;
  grid-column: 5/6;
  justify-self: center;
  align-self: center;
  margin-bottom: -0.6rem;
  margin-right: -1.6rem;
}

@keyframes subtext {
  from {
    opacity: 0;
    transform: translateY(-0.63rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.hero__btn {
  justify-self: center;
  align-self: start;
  background-color: var(--bg-accent);
  border: none;
  padding: 0.94rem;
  color: var(--text-light);
  border-radius: 1.56rem;
  font-family: "Source Sans 3", sans-serif;
  font-size: 0.94rem;
  font-weight: 600;
  grid-row: 4/5;
  grid-column: 7/9;
  margin-top: 5px;
  margin-right: 5.62rem;
  animation-name: hero-button;
  animation-duration: 2s;
}

@keyframes hero-button {
  from {
    opacity: 0;
    transform: translateY(0.63rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.hero__link-1,
.hero__link-2 {
  font-family: "Cormorant Garamond", serif;
  font-size: 1.56rem;
  font-weight: 900;
  text-transform: uppercase;
  color: var(--link-accent);
  text-decoration: underline;
  animation-name: hero-links;
  animation-duration: 2s;
}

.hero__link-2 {
  grid-row: 4/5;
  grid-column: 2/3;
  margin-left: 0.63rem;
}
.hero__link-1 {
  grid-row: 3/4;
  grid-column: 1/2;
  align-self: end;
  text-align: right;
}

@keyframes hero-links {
  from {
    opacity: 0;
    transform: translateY(0.63);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.hero__decor-cicle {
  width: 1.25rem;
  height: 1.25rem;
  border-radius: 50%;
  background-color: var(--bg-accent);
  grid-row: 4/5;
  grid-column: 1/2;
  justify-self: end;
  margin-top: 0.94rem;
  margin-right: 0.75rem;
  opacity: 0.8;
  animation-name: decor-cicle;
  animation-duration: 2s;
}
@keyframes decor-cicle {
  from {
    opacity: 0;
    transform: translateY(0.63);
  }
  to {
    opacity: 0.8;
    transform: translateY(0);
  }
}

/* Mobile */

@media (max-width: 768px) {
  .hero__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    min-height: unset;
    margin-top: 2rem;
  }

  .hero__hello,
  #hero__hello-hello,
  #hero__hello-Im,
  #hero__hello-helen {
    font-size: 2.5rem;
    letter-spacing: 0.2rem;
    padding: 0 10px;
    margin: 0 !important;
    justify-self: unset;
    align-self: unset;
  }

  .hero__image {
    margin-top: 1.5rem;
    min-width: unset;
    width: 100%;
    max-width: 320px;
    min-height: unset;
  }

  .hero__text {
    margin: 1.5rem 0;
    padding: 0;
    max-width: 90%;
  }

  .hero__text p {
    font-size: 1.2rem;
    line-height: 2rem;
  }

  .hero__link-1,
  .hero__link-2 {
    display: none;
  }

  .hero__btn {
    font-size: 1.1rem;
    margin: 0;
    justify-self: unset;
    align-self: unset;
    margin-bottom: 1.5rem;
  }

  .hero__decor-cicle {
    display: none;
  }

  .hero__subtext-1,
  .hero__subtext-2 {
    display: none;
  }
}

/* Tablets */
@media (min-width: 769px) and (max-width: 1100px) {
  .hero__wrapper {
    grid-template-rows: repeat(4, 12.5rem);
    grid-template-columns: repeat(8, 1fr);
    gap: 1rem;
  }

  .hero__hello {
    font-size: 5rem;
    letter-spacing: 0.2rem;
  }

  #hero__hello-hello {
    grid-column: 1/4;
    grid-row: 1;
    justify-self: center;
  }
  #hero__hello-Im {
    grid-column: 1/2;
    grid-row: 2;
    z-index: 1;
  }
  #hero__hello-helen {
    grid-column: 3 / 5;
    grid-row: 2;
    margin-left: 0;

    margin-left: 0 !important;
  }

  .hero__image {
    grid-column: 2 / 5;
    grid-row: 2 / 4;
    min-width: 150px;
    justify-self: center;
    max-width: 450px;
  }

  .hero__text {
    grid-column: 5/8;
    grid-row: 2/4;
    max-width: 100%;
    padding: 0 1rem;
    justify-self: center;
    align-self: center;
  }

  .hero__text p {
    font-size: 1rem;
    line-height: 1.2rem;
  }
  .hero__btn {
    font-size: 1.2rem;
    margin: 0;
    grid-column: 5/8;
    grid-row: 4;
  }

  .hero__subtext-1 {
    font-size: 1.3rem;
    grid-column: 6/7;
    grid-row: 1;
    align-self: end;
  }

  .hero__subtext-2 {
    font-size: 1.3rem;
    grid-column: 6/8;
    grid-row: 2;
    align-self: start;
    margin-top: -10px;
  }
}

/*Philosophy*/

.philosophy {
  width: 100%;
  min-height: 30vh;
  background-color: #832d51;
  padding: 1.56rem;
  text-align: center;
  color: #cfdd9d;
  font-family: "Source Sans 3", sans-serif;
  font-size: 1.56rem;
  font-weight: 400;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* About */
.about__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 6.25rem 1.25rem;
  min-height: 80vh;
  display: grid;
  grid-template-rows: repeat(8, 6.25rem);
  grid-template-columns: repeat(16, 1fr);
}

.about__title-1 {
  font-family: "Cormorant Garamond", serif;
  font-size: 5.6rem;
  font-weight: 800;
  letter-spacing: 0.56rem;
  color: var(--text-heading);
  grid-column: 2/9;
  grid-row: 1/2;
  text-align: center;
  animation-name: about-title;
  animation-duration: 2s;
}
@keyframes about-title {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.about__text {
  font-family: "Cormorant Garamond", serif;
  font-size: 1.3rem;
  text-align: justify;
  line-height: 1.6rem;
  margin: 0;
  font-weight: 600;
  color: var(--text-main);
  grid-column: 3/8;
  grid-row: 3/7;
  animation-name: about-text;
  animation-duration: 2s;
}

@keyframes about-text {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.about__text .about-p1 {
  margin-bottom: 5rem;
  margin-top: 3.1rem;
}
.about__image {
  max-width: 100%;
  max-height: 100%;
  min-width: 240px;
  min-height: 300px;
  overflow: hidden;
  display: block;
  grid-column: 9/17;
  grid-row: 1/9;
  animation-name: about-image;
  animation-duration: 2s;
}

@keyframes about-image {
  from {
    opacity: 0;
    transform: translateX(10px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.about__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.about__decor-cicle {
  width: 1.88rem;
  height: 1.88rem;
  border-radius: 50%;
  background-color: var(--bg-accent);
  opacity: 0.7;
  grid-column: 5/6;
  grid-row: 8/9;
  justify-self: center;
  align-self: center;
  animation-name: about-text;
  animation-duration: 2s;
}

/* Mobile About section*/

@media (max-width: 768px) {
  .about__wrapper {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    align-items: center;
  }

  .about__title-1 {
    font-size: 3rem;
  }

  .about__image {
    max-width: 90%;
    max-height: 90%;
    min-width: 240px;
    min-height: 300px;
  }

  .about__text {
    max-width: 90%;
    font-size: 1.2rem;
  }

  .about__text .about-p1 {
    margin-bottom: 2rem;
    margin-top: 3.1rem;
  }
}
/* Path section */

.path__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 6.25rem 1.25rem;
  min-height: 80vh;
}

.path__wrapper > h1 {
  text-align: center;
  font-family: "Cormorant Garamond", serif;
  font-size: 5.6rem;
  font-weight: 800;
  letter-spacing: 0.56rem;
  color: var(--text-heading);
  animation-name: journey;
  animation-duration: 2s;
}

.path__container {
  margin: 80px 0;
  display: flex;
  flex-direction: column;
}

.path__main-text {
  font-family: "Cormorant Garamond", serif;
  font-size: 1rem;
  text-align: justify;
  line-height: 1.6rem;
  margin-bottom: 80px;
  font-weight: 600;
  color: var(--text-main);
  display: flex;
  justify-content: center;
  gap: 50px;
  animation-name: journey;
  animation-duration: 2s;
}
.path__text-element {
  width: 35%;
  padding: 10px;
}

#first-letter::first-letter {
  font-size: 5rem;

  float: left;
  margin-right: 8px;
  line-height: 0.5;
  color: var(--bg-accent);
}

.path__decor-cicle {
  position: relative;
  left: 49%;
  bottom: 60px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: var(--bg-accent);
  opacity: 0.7;
}

.path__decor-cicle2 {
  position: relative;
  left: 49%;
  bottom: 0;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: var(--bg-accent);
  opacity: 0.7;
}

.path__certificates {
  display: flex;
  flex-wrap: wrap;
  gap: 25px 0;
  justify-content: space-evenly;
  margin-bottom: 50px;
  animation-name: journey-cert;
  animation-duration: 2s;
}

.path__certificate-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 25px;
  border-radius: 8px;
  max-width: 350px;
  background-color: var(--bg-main);
  box-shadow: 2px 2px 5px rgba(58, 10, 30, 0.5);
  transition: transform 0.3s ease;
}

.path__certificate-container:hover {
  transform: scale(1.1);
}

.path__certificate-text {
  flex: 1;
}

.path__certificate-text h3 {
  font-family: "Source Sans 3", sans-serif;
  color: var(--text-main);
  font-weight: 500;
  font-size: 1.2rem;
  text-align: center;
  line-height: 1.2rem;
  margin-bottom: 25px;
}

.path__certificate-text p {
  font-family: "Source Sans 3", sans-serif;
  font-size: 0.9rem;
  text-align: justify;
  line-height: 1.3rem;
  color: var(--text-main);
}

.path__certificate-image {
  width: 300px;
  aspect-ratio: 5 / 3;
  overflow: hidden;
}

.path__certificate-image img {
  object-fit: contain;
  width: 100%;
  height: 100%;
}

@keyframes journey {
  from {
    opacity: 0;
    transform: translateY(-0.63rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes journey-cert {
  from {
    opacity: 0;
    transform: translateY(0.63rem);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Mobile Path section */

@media (max-width: 768px) {
  .path__wrapper {
    display: flex;
    flex-direction: column;
  }

  .path__wrapper > h1 {
    font-size: 3rem;
    letter-spacing: 0.2px;
  }

  .path__main-text {
    font-size: 1.2rem;
    display: flex;
    flex-direction: column;
  }
  .path__text-element {
    width: 100%;
    padding: 10px;
  }
}

/* SELECTED works*/
.works__container {
  margin-bottom: 6.5rem;
}
.works__title {
  font-family: "Cormorant Garamond", serif;
  font-size: 3.5rem;
  font-weight: 800;
  letter-spacing: 0.56rem;
  color: var(--text-heading);
  padding-top: 6.25rem;
  animation-name: works-title;
  animation-duration: 2s;
}

@keyframes works-title {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.works__subtitle {
  font-family: "Cormorant Garamond", serif;
  font-size: 1.5rem;
  line-height: 1.6rem;
  font-weight: 600;
  color: var(--text-main);
  animation-name: works-title;
  animation-duration: 2s;
}
.card {
  animation-name: works-card;
  animation-duration: 2s;
}
.works__card {
  background-color: var(--bg-secondary);
  padding-top: 25px;
  padding-bottom: 25px;
}

@keyframes works-card {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.card-title {
  text-align: center;
  padding-bottom: 15px;
  font-family: "Source Sans 3", sans-serif;
  font-size: 1.3rem;
  line-height: 1.6rem;
  font-weight: 600;
  color: #3a0a1e;
}
.card-text {
  text-align: justify;
  font-family: "Cormorant Garamond", serif;
  font-size: 22px;
  font-weight: 400;
  line-height: 1.8rem;
  padding-bottom: 15px;
  color: var(--text-main);
}
.works__btn {
  font-family: "Source Sans 3", sans-serif;
  border: none;
  padding: 5px;
  color: #3a0a1e;
  background-color: rgb(248, 202, 228);
}
.works__btn:hover {
  background-color: #447a5f;
  color: #cfdd9d;
}

.works__stack {
  min-height: 60px;
  align-items: flex-start;
  align-content: flex-start;
}

.works__btn-d {
  font-family: "Source Sans 3", sans-serif;
  border: none;
  padding: 5px;
  color: #cfdd9d;
  background-color: #832d51;
}
.works__btn-d:hover {
  background-color: rgb(248, 202, 228);
  color: #3a0a1e;
}

.works__badge {
  background-color: rgb(248, 202, 228);
  color: #3a0a1e;
}

/*Contact*/
.contact__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 6.25rem 1.25rem;
  min-height: 80vh;
  display: flex;
  justify-content: space-between;
}
.contact__info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  animation-name: contact-info;
  animation-duration: 2s;
}
@keyframes contact-info {
  from {
    opacity: 0;
    transform: translateX(-10px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.contact__form {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  animation-name: contact-form;
  animation-duration: 2s;
}

@keyframes contact-form {
  from {
    opacity: 0;
    transform: translateX(10px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}
.contact-frame {
  height: 80%;
  border-radius: 20px;
  background-color: rgb(131, 45, 81);
}
input {
  margin: 0 auto;
  display: block;
  width: 80%;
  background-color: rgb(131, 45, 81);
  padding: 30px;
  border-bottom: 2px solid #cfdd9d;
  color: rgb(248, 202, 228);
  font-family: "Source Sans 3", sans-serif;
}

input::placeholder {
  color: #cfdd9d;
  font-family: "Cormorant Garamond", serif;
}

.contact__btn {
  display: block;
  width: 70%;
  text-align: center;
  margin: 0 auto;
  margin-top: 20px;
  background-color: var(--bg-accent);
  border: none;
  padding: 0.94rem;
  color: var(--text-light);
  border-radius: 1.56rem;
  font-family: "Source Sans 3", sans-serif;
  font-size: 1rem;
  font-weight: 600;
}

.contact__title-1 {
  font-family: "Source Sans 3", sans-serif;
  font-size: 2rem;
  font-weight: 600;
  text-transform: uppercase;
  text-align: center;
  color: #832d51;
}

.contact__title-2 {
  font-family: "Cormorant Garamond", serif;
  font-size: 22px;
  font-weight: 400;
  line-height: 1.8rem;
  color: var(--text-main);
  text-align: center;
}
address {
  text-align: center;
}

address dt {
  font-family: "Source Sans 3", sans-serif;
  text-transform: uppercase;
  color: #3a0a1e;
  margin-bottom: 10px;
  margin-top: 25px;
}

address dd a {
  color: var(--link-accent);
  font-weight: 700;
}

.contact__title-3 {
  padding-top: 25px;
  font-family: "Source Sans 3", sans-serif;
  font-size: 1.5rem;
  font-weight: 600;
  text-transform: uppercase;
  text-align: center;
  color: #cfdd9d;
}

.form__textarea {
  margin: 0 auto;
  display: block;
  width: 80%;
  background-color: rgb(131, 45, 81);
  padding: 30px;
  border-bottom: 2px solid #cfdd9d;
  color: rgb(248, 202, 228);
  font-family: "Source Sans 3", sans-serif;
}

.form__textarea::placeholder {
  color: #cfdd9d;
  font-family: "Cormorant Garamond", serif;
}

/* Mobile Contact section */
@media (max-width: 768px) {
  .contact__wrapper {
    display: flex;
    flex-direction: column;
  }
  .contact__btn {
    margin-bottom: 20px;
  }
}

/* Footer */
footer {
  background-color: #447a5f;
  flex-shrink: 0;
  width: 100%;
  color: #cfdd9d;
  padding-top: 30px 0;
  font-family: "Source Sans 3", sans-serif;
  font-size: 20px;
}

.footer__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
footer p {
  padding-top: 20px;
}

.dark-theme {
  /*Background*/
  --bg-main: #1b1418;
  --bg-secondary: #2a1d23;
  --bg-header: #2f1c25;
  --bg-accent: #4f8f6f;

  /*Text*/
  --text-main: #f2e9ee;
  --text-heading: #e4b6c8;
  --text-light: #cfdd9d;

  /*Links & buttons*/
  --link-accent: #6fcf97;
}
